Bug 1264788 (CVE-2015-7316) - CVE-2015-7316 plone: URL checking method prone to XSS
Summary: CVE-2015-7316 plone: URL checking method prone to XSS
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-7316
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1264805
TreeView+ depends on / blocked
 
Reported: 2015-09-21 08:40 UTC by Adam Mariš
Modified: 2019-09-29 13:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-21 08:17:03 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-09-21 08:40:50 UTC
Plone's URL checking infrastructure includes a method for checking if URLs valid and located in the Plone site. By passing HTML into this specially crafted url, XSS can be achieved. Versions affected are Plone 3.x, 4.1.x, 4.2.x, <4.3.7, <5.0rc1.

Upstream patch:

https://github.com/plone/Products.CMFPlone/commit/3da710a2cd68587f0bf34f2e7ea1167d6eeee087

CVE request:

http://seclists.org/oss-sec/2015/q3/587


Note You need to log in before you can comment on or make changes to this bug.